## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

#
Name:           airinv
Version:        1.00.12
Release:        %autorelease

Summary:        C++ Simulated Airline Inventory Management System library
License:        LGPL-2.1-or-later
URL:            https://github.com/airsim/%{name}
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(libzmq)
BuildRequires:  pkgconfig(cppzmq)
BuildRequires:  soci-devel
BuildRequires:  soci-mysql-devel
BuildRequires:  soci-sqlite3-devel
BuildRequires:  pkgconfig(stdair)
BuildRequires:  pkgconfig(airrac)
BuildRequires:  pkgconfig(rmol)
BuildRequires:  pkgconfig(sevmgr)

%description
%{name} is a C++ library of airline inventory management classes and
functions, mainly targeting simulation purposes.

%{name} makes an extensive use of existing open-source libraries for
increased functionality, speed and accuracy. In particular the
Boost (C++ Standard Extensions: https://www.boost.org) library is used.

Install the %{name} package if you need a library of basic C++ objects
for Airline Inventory Management, mainly for simulation purpose.

%package        devel
Summary:        Header files, libraries and development helper tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package contains the header files, shared libraries and
development helper tools for %{name}. If you would like to develop
programs using %{name}, you will need to install %{name}-devel.

%package        doc
Summary:        HTML documentation for the %{name} library
BuildArch:      noarch
BuildRequires:  tex(latex)
BuildRequires:  texlive-epstopdf
BuildRequires:  doxygen
BuildRequires:  ghostscript

%description    doc
This package contains HTML pages, as well as a PDF reference manual,
for %{name}. All that documentation is generated thanks to Doxygen
(https://doxygen.org). The content is the same as what can be browsed
online (https://github.com/airsim/%{name}).


%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove the Doxygen installer
rm -f %{buildroot}%{_docdir}/%{name}/html/installdox

# Remove additional documentation files (those files are already available
# in the project top directory)
rm -f %{buildroot}%{_docdir}/%{name}/{NEWS,README,AUTHORS}

%check
%ctest


%files
%doc AUTHORS ChangeLog NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}_parseInventory
%{_bindir}/AirInvClient
%{_bindir}/AirInvServer
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}_parseInventory.1.*
%{_mandir}/man1/AirInvClient.1.*
%{_mandir}/man1/AirInvServer.1.*

%files devel
%license COPYING
%{_includedir}/%{name}/
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}-config.1.*
%{_mandir}/man3/%{name}-library.3.*

%files doc
%doc %{_docdir}/%{name}/
%license COPYING


%changelog
## START: Generated by rpmautospec
* Mon May 05 2025 Pavol Sloboda <psloboda@redhat.com> - 1.00.12-2
- Removed the redundant BuildRequires of mysql-devel I have removed the
  redundant BuildRequires of mysql-devel as it is already uncoditionally
  required by soci-mysql-devel, which is in turn uncoditionally required by
  this package thus being available in the build chroot transitively.

* Mon Mar 31 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.12-1
- Upstream upgrade

* Mon Mar 31 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.11-1
- Upstream upgrade

* Sun Jan 26 2025 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.10-1
- Trying to fix the issue related to MySQL library

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Mar 23 2024 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.9-1
- Upstream upgrade

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 18 2024 Jonathan Wakely <jwakely@redhat.com> - 1.00.8-6
- Rebuilt for Boost 1.83

* Tue Nov 14 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.8-5
- Modernized the spec file

* Tue Nov 14 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.8-4
- Modernized the spec file

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 01 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.8-2
- Upstream upgrade

* Mon May 01 2023 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.8-1
- Upstream upgrade

* Mon Feb 20 2023 Jonathan Wakely <jwakely@redhat.com> - 1.00.7-4
- Rebuilt for Boost 1.81

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 10 2022 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.7-1
- Upgraded to v1.00.7

* Wed May 04 2022 Thomas Rodgers <trodgers@redhat.com> - 1.00.5-9
- Rebuilt for Boost 1.78

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Jonathan Wakely <jwakely@redhat.com> - 1.00.5-7
- Rebuilt for Boost 1.76

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Jonathan Wakely <jwakely@redhat.com> - 1.00.5-3
- Rebuilt for Boost 1.75

* Sun Aug 09 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.5-2
- Fixed a typo in package naming

* Sun Aug 09 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.5-1
- Upstream upgrade

* Fri Jul 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.4-8
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jul 05 2020 Neal Gompa <ngompa13@gmail.com> - 1.00.4-6
- Install license as license file

* Sun Jul 05 2020 Neal Gompa <ngompa13@gmail.com> - 1.00.4-5
- Update to new out-of-source build mechanism

* Sat Jun 06 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.4-4
- Fixed the date in the changelog

* Sat Jun 06 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.4-3
- Rebuilt for SOCI 4.0.1-alpha2

* Wed Jun 03 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.4-2
- Rebuilt for Boost 1.73

* Sun May 31 2020 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.4-1
- Upstream update

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.00.3-8
- Rebuilt for Python 3.9

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 05 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.3-6
- Rebuild for SOCI 4.0.0-rc2

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.00.3-5
- Rebuilt for Python 3.8

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.00.3-4
- Rebuilt for Python 3.8

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 12 2019 Miro Hrončok <miro@hroncok.cz> - 1.00.3-2
- Pin the Python version this was built with

* Thu Jul 11 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.3-1
- CMake support files updated for Python 3.8

* Sun Feb 17 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.00.2-5
- Rebuild for readline 8.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 24 2019 Jonathan Wakely <jwakely@redhat.com> - 1.00.2-3
- Rebuilt for Boost 1.69

* Fri Jan 18 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.2-2
- [F30] Added a missing dependency on python3-rmol

* Wed Jan 16 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.2-1
- Upstream update

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 1.00.1-24
- Remove needless use of %%defattr

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.00.1-23
- add BuildRequires: gcc-c++

* Thu May 10 2018 Jonathan Wakely <jwakely@redhat.com> - 1.00.1-22
- Add BuildRequires: boost-python2-devel to fix build with
  boost-1.66.0-7.fc29

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.00.1-21
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.00.1-20
- Remove BuildRoot definition

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 23 2018 Jonathan Wakely <jwakely@redhat.com> - 1.00.1-18
- Rebuilt for Boost 1.66

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-17
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Björn Esser <besser82@fedoraproject.org> - 1.00.1-15
- Rebuilt for Boost 1.64

* Mon May 15 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.00.1-12
- Rebuild for readline 7.x

* Wed May 18 2016 Jonathan Wakely <jwakely@redhat.com> - 1.00.1-11
- Rebuilt for linker errors in boost (#1331983)

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 1.00.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Jonathan Wakely <jwakely@redhat.com> - 1.00.1-9
- Rebuilt for Boost 1.60

* Sun Aug 30 2015 Jonathan Wakely <jwakely@redhat.com> - 1.00.1-8
- Patched and rebuilt for Boost 1.59

* Sat Aug 29 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.1-7
- Mass rebuild

* Wed Jul 29 2015 Dennis Gilmore <dennis@ausil.us> - 1.00.1-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 1.00.1-5
- rebuild for Boost 1.58

* Tue Jun 23 2015 Thomas Spura <thomas.spura@gmail.com> - 1.00.1-4
- rebuilt for new zeromq 4.1.2

* Tue Jun 16 2015 Dennis Gilmore <dennis@ausil.us> - 1.00.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 14 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.1-2
- Updated the sources.

* Sun Jun 14 2015 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.1-1
- Removed the dependency on ZeroMQ (only AirInv is dependent on it, not
  StdAir)

* Mon May 04 2015 Kalev Lember <kalevlember@gmail.com> - 1.00.0-15
- Rebuilt for GCC 5 C++11 ABI change

* Sun Feb 08 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.00.0-14
- BR: zeromq2-devel (Work around RHBZ#1190463; Fix boost-1.57 FTBFS).
- BR: /usr/bin/epstopdf.

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 1.00.0-13
- Cmake should look for zmq.h, not zmq.hpp

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 1.00.0-12
- Rebuild for boost 1.57.0

* Fri Aug 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.00.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.00.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 25 2014 Petr Machata <pmachata@redhat.com> - 1.00.0-9
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 1.00.0-8
- rebuild for boost 1.55.0

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1.00.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 29 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-6
- Fixed the docdir issue, following the F20 System Wide Change
- Rebuild for boost 1.54.0

* Wed May 22 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-5
- Rebuild for Soci-3.2.1

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-4
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-3
- Rebuild for Boost-1.53.0

* Tue Dec 25 2012 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-2
- Added a missing dependency (sevmgr-devel).

* Tue Dec 25 2012 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.00.0-1
- Upstream update

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 0.1.2-7
- Rebuilt for new boost

* Wed Jul 18 2012 Dennis Gilmore <dennis@ausil.us> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Dennis Gilmore <dennis@ausil.us> - 0.1.2-5
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Dennis Gilmore <dennis@ausil.us> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 05 2011 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.2-3
- Added the missing file rules.

* Mon Dec 05 2011 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.2-2
- [Build] For now, de-activate the tests, as they seem to not work
  remotely.

* Mon Dec 05 2011 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.1.2-1
- First release in Fedora.
## END: Generated by rpmautospec
